Repository 32bit  Forum
Repository 64bit  Wiki

non vengono trovate librerie installate

Postate qui per tutte le discussioni legate a Linux in generale.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Gnu/Linux in genere, se l'argomento è specifico alla Slackware usate uno dei forum Slackware o Slackware64.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

non vengono trovate librerie installate

Messaggioda NicoMetal » gio nov 15, 2012 15:29

Salve, dovrei installare audacity. Questo però richiede l'installazione delle librerie wxWidget. Io ho scaricato normalmente i sorgenti di quest'ultime, con un mio slackbuild le pacchettizzate e infne installate.
QUnado però faccio il configure nei sorgenti di audacity mi esce:
Codice: Seleziona tutto
configure: Checking that the chosen version of wxWidgets is 2.8.x
configure: error: Unable to locate a suitable configuration of wxWidgets v2.8.x or higher.
The currently available configurations are listed below.  If necessary, either
install the package for your distribution or download the latest version of
wxWidgets
from http://wxwidgets.org.

    Default config is gtk2-unicode-2.9

  Default config will be used for output

Ho guardato il pkgtool se tutto era ok e infatti sono tranquillamente presenti (le librerie wxwidget intendo v2.9 ).
Cosa c'è che non va?
Qui posto anche lo slackbuild usato:
Codice: Seleziona tutto
#!/bin/bash

NOME="wxWidgets"
CFLAGS="-O2 -march=i686 -mtune=i686"
CONFFLAGS="--prefix=/usr"

tar -xvzf $NOME-master.tar.gz

cd $NOME-master

HERE=$(pwd)
chown -R root:root *
chmod -R 755 *

cd /tmp
rm -r PKG
mkdir PKG
chown -R root:root PKG
chmod -R 755 PKG
cd $HERE

CFLAGS="$CFLAGS" ./configure $CONFFLAGS
read WAIT
make -j2
read WAIT
make install DESTDIR=/tmp/PKG


cd /tmp/PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip \
--strip-unneeded 2> /dev/null

find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip \
--strip-unneeded 2> /dev/null

makepkg -l y -c n /tmp/$NOME.txz



Idee? perpiacere aiuto!
Avatar utente
NicoMetal
Linux 2.4
Linux 2.4
 
Messaggi: 367
Iscritto il: dom mag 02, 2010 17:21
Località: Verona
Nome Cognome: Nicola
Slackware: 13.37
Kernel: 3.2.2
Desktop: FluxBox - xfce

Re: non vengono trovate librerie installate

Messaggioda DarkNeo » gio nov 15, 2012 16:23

Ciao
a me da l'errore analogo installando KWifiManager, il ./configure non rileva la presenza delle librerie qt mi richiede di installare >=3.0.2 quando io ho installata la 4.8. qualcosa.
DarkNeo
Linux 3.x
Linux 3.x
 
Messaggi: 1071
Iscritto il: ven giu 03, 2005 23:00
Località: Matrix
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE

Re: non vengono trovate librerie installate

Messaggioda brg » gio nov 15, 2012 17:36

NicoMetal ha scritto:Ho guardato il pkgtool se tutto era ok e infatti sono tranquillamente presenti (le librerie wxwidget intendo v2.9 ).
Cosa c'è che non va?


Le wxWidgets 2.9, hai bisogno delle stabili 2.8.

DarkNeo ha scritto:Ciao
a me da l'errore analogo installando KWifiManager, il ./configure non rileva la presenza delle librerie qt mi richiede di installare >=3.0.2 quando io ho installata la 4.8. qualcosa.


Idem, Qt4 e Qt3 sono due cose differenti, hai bisogno di Qt3 installato.

:arrow: Il pacchetto wxGTK 2.8.12 è presente nel repository di Slacky.
Avatar utente
brg
Linux 2.4
Linux 2.4
 
Messaggi: 272
Iscritto il: sab mar 12, 2011 14:20
Località: Montecatini
Slackware: 14.1
Kernel: 3.10.17
Desktop: KDE4

Re: non vengono trovate librerie installate

Messaggioda DarkNeo » mer nov 21, 2012 12:23

Non è andata a buon fine ho installato le 3.3.8 e comunque al configure non me le trova
DarkNeo
Linux 3.x
Linux 3.x
 
Messaggi: 1071
Iscritto il: ven giu 03, 2005 23:00
Località: Matrix
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE


Torna a Gnu/Linux in genere

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti